InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::LoggingReadRangeResponse Struct Reference
Inheritance diagram for inertia::LoggingReadRangeResponse:
[legend]
Collaboration diagram for inertia::LoggingReadRangeResponse:
[legend]

## Public Member Functions
| LoggingReadRangeResponse (const uint8_t *packet, const unsigned max_size)
| LoggingReadRangeResponse (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
uint8_t | GetType () const override
bool | IsResponse () const override
Public Member Functions inherited from inertia::LoggingCommand
InertiaCommandGroups | GetGroup () const override

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()
Static Public Member Functions inherited from inertia::LoggingCommand
static std::wstring | GetName (LoggingCommands const command)
static InertiaCommandPtr | Parse (const uint8_t *in, unsigned const packetSize)
static InertiaCommandPtr | Parse (std::wstring const &argString)

## Public Attributes
ReadRangeStatusCode | statusCode
std::vector< uint8_t > | rawdata

## Additional Inherited Members
Protected Member Functions inherited from inertia::LoggingCommand
| LoggingCommand (const uint8_t *packet, const unsigned max_size)
| LoggingCommand (std::wstring const &argString)
Protected Member Functions inherited from inertia::InertiaCommand
| InertiaCommand (const uint8_t *packet, const unsigned max_size)
| InertiaCommand (std::wstring const &argString)
| InertiaCommand (InertiaCommand const &)=default
InertiaCommand & | operator= (InertiaCommand const &)=default

## Member Function Documentation

## ◆ GetBytes()

void inertia::LoggingReadRangeResponse::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override virtual

Implements inertia::InertiaCommand.

## ◆ GetType()

uint8_t inertia::LoggingReadRangeResponse::GetType | ( |  | ) | const
| override virtual

Implements inertia::InertiaCommand.

## ◆ IsResponse()

bool inertia::LoggingReadRangeResponse::IsResponse | ( |  | ) | const
| override virtual

Implements inertia::InertiaCommand.

## ◆ ToString()

const std::wstring inertia::LoggingReadRangeResponse::ToString | ( |  | ) | const
| override virtual

Implements inertia::InertiaCommand.

The documentation for this struct was generated from the following file:

- LoggingCommands.h